/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.csv.record;

/**
 * blancoCsvファイル定義書から作成されたレコードクラス<br>
 * ファイル定義[BlancoNLpackGeneratorResultDetail/blancoNLpackGenerator が内部的に利用するCSVファイル。]のレコードクラス
 */
public class BlancoNLpackGeneratorResultDetailCsvRecord {
    /**
     * フィールド [BundleUri]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: URI<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * 必須項目
     */
    private String fBundleUri;

    /**
     * フィールド [Action]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 2<br>
     * 項目の説明: Action<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * MIN長さ: 3
     */
    private String fAction;

    /**
     * フィールド [Key]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 3<br>
     * 項目の説明: Key<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * MIN長さ: 1
     */
    private String fKey;

    /**
     * フィールド [Input]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 4<br>
     * 項目の説明: Input<br>
     * 文字列はダブルクオート処理されて入出力されます。
     */
    private String fInput;

    /**
     * フィールド [Output]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 5<br>
     * 項目の説明: Output<br>
     * 文字列はダブルクオート処理されて入出力されます。
     */
    private String fOutput;

    /**
     * フィールド [BundleUri]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: URI<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * 必須項目
     *
     * @param argBundleUri フィールド[BundleUri]に格納したい値
     */
    public void setBundleUri(final String argBundleUri) {
        fBundleUri = argBundleUri;
    }

    /**
     * フィールド[BundleUri]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: URI<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * 必須項目
     *
     * @return フィールド[BundleUri]に格納されている値
     */
    public String getBundleUri() {
        return fBundleUri;
    }

    /**
     * フィールド [Action]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 2<br>
     * 項目の説明: Action<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * MIN長さ: 3
     *
     * @param argAction フィールド[Action]に格納したい値
     */
    public void setAction(final String argAction) {
        fAction = argAction;
    }

    /**
     * フィールド[Action]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 2<br>
     * 項目の説明: Action<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * MIN長さ: 3
     *
     * @return フィールド[Action]に格納されている値
     */
    public String getAction() {
        return fAction;
    }

    /**
     * フィールド [Key]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 3<br>
     * 項目の説明: Key<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * MIN長さ: 1
     *
     * @param argKey フィールド[Key]に格納したい値
     */
    public void setKey(final String argKey) {
        fKey = argKey;
    }

    /**
     * フィールド[Key]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 3<br>
     * 項目の説明: Key<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * MIN長さ: 1
     *
     * @return フィールド[Key]に格納されている値
     */
    public String getKey() {
        return fKey;
    }

    /**
     * フィールド [Input]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 4<br>
     * 項目の説明: Input<br>
     * 文字列はダブルクオート処理されて入出力されます。
     *
     * @param argInput フィールド[Input]に格納したい値
     */
    public void setInput(final String argInput) {
        fInput = argInput;
    }

    /**
     * フィールド[Input]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 4<br>
     * 項目の説明: Input<br>
     * 文字列はダブルクオート処理されて入出力されます。
     *
     * @return フィールド[Input]に格納されている値
     */
    public String getInput() {
        return fInput;
    }

    /**
     * フィールド [Output]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 5<br>
     * 項目の説明: Output<br>
     * 文字列はダブルクオート処理されて入出力されます。
     *
     * @param argOutput フィールド[Output]に格納したい値
     */
    public void setOutput(final String argOutput) {
        fOutput = argOutput;
    }

    /**
     * フィールド[Output]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 5<br>
     * 項目の説明: Output<br>
     * 文字列はダブルクオート処理されて入出力されます。
     *
     * @return フィールド[Output]に格納されている値
     */
    public String getOutput() {
        return fOutput;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.csv.record.BlancoNLpackGeneratorResultDetailCsvRecord[");
        buf.append("BundleUri=" + fBundleUri);
        buf.append(",Action=" + fAction);
        buf.append(",Key=" + fKey);
        buf.append(",Input=" + fInput);
        buf.append(",Output=" + fOutput);
        buf.append("]");
        return buf.toString();
    }
}
